io.vertx.rxjava.ext.auth.mongo

## Class MongoAuthorization

- java.lang.Object
- - io.vertx.rxjava.ext.auth.authorization.AuthorizationProvider
  - - io.vertx.rxjava.ext.auth.mongo.MongoAuthorization

-     public class MongoAuthorization
      extends AuthorizationProvider

  An extension of AuthProvider which is using as store

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<MongoAuthorization>` | `__TYPE_ARG`
    `static String` | `DEFAULT_COLLECTION_NAME` The default name of the collection to be used
    `static String` | `DEFAULT_PERMISSION_FIELD` The default name of the property for the permissions, like it is stored in mongodb.
    `static String` | `DEFAULT_ROLE_FIELD` The default name of the property for the roles, like it is stored in mongodb.
    `static String` | `DEFAULT_USERNAME_FIELD` The default name of the property for the username, like it is stored in mongodb

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MongoAuthorization(MongoAuthorization delegate)`
    `MongoAuthorization(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MongoAuthorization` | `create(String providerId, MongoClient mongoClient, MongoAuthorizationOptions options)` Creates an instance of MongoAuthorization by using the given and configuration object.
    `boolean` | `equals(Object o)`
    `MongoAuthorization` | `getDelegate()`
    `int` | `hashCode()`
    `static MongoAuthorization` | `newInstance(MongoAuthorization arg)`
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.rxjava.ext.auth.authorization.AuthorizationProvider

      `create, getAuthorizations, getAuthorizations, getId, newInstance, rxGetAuthorizations`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MongoAuthorization> __TYPE_ARG

    - #### DEFAULT_COLLECTION_NAME

          public static final String DEFAULT_COLLECTION_NAME

      The default name of the collection to be used
      See Also:
        Constant Field Values

    - #### DEFAULT_USERNAME_FIELD

          public static final String DEFAULT_USERNAME_FIELD

      The default name of the property for the username, like it is stored in mongodb
      See Also:
        Constant Field Values

    - #### DEFAULT_ROLE_FIELD

          public static final String DEFAULT_ROLE_FIELD

      The default name of the property for the roles, like it is stored in mongodb. Roles are expected to be saved as JsonArray
      See Also:
        Constant Field Values

    - #### DEFAULT_PERMISSION_FIELD

          public static final String DEFAULT_PERMISSION_FIELD

      The default name of the property for the permissions, like it is stored in mongodb. Permissions are expected to be saved as JsonArray
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MongoAuthorization

          public MongoAuthorization(MongoAuthorization delegate)

    - #### MongoAuthorization

          public MongoAuthorization(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AuthorizationProvider`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `AuthorizationProvider`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AuthorizationProvider`

    - #### getDelegate

          public MongoAuthorization getDelegate()

      Overrides:
        `getDelegate` in class `AuthorizationProvider`

    - #### create

          public static MongoAuthorization create(String providerId,
                                                  MongoClient mongoClient,
                                                  MongoAuthorizationOptions options)

      Creates an instance of MongoAuthorization by using the given and configuration object.
      Parameters:
        `providerId` - the provider ID to differentiate from others
        `mongoClient` - an instance of to be used for data storage and retrival
        `options` - the configuration object for the current instance.
      Returns:
        the created instance of `MongoAuthorization`

    - #### newInstance

          public static MongoAuthorization newInstance(MongoAuthorization arg)

Copyright © 2022 Eclipse. All rights reserved.